#include <sourcemod>
#include <sdktools>
#include <fortwars>

#define AMOUNT 0.4

public Plugin:myinfo = 
{
	name = "[FW] Low Gravity during setup",
	author = "Matheus28",
	description = "",
	version = "1.0",
	url = ""
}

new bool:fw=false;
new bool:building=false;
public OnPluginStart(){	
	if(LibraryExists("fortwars")){
		fw=true;
	}
}

public OnLibraryAdded(const String:name[]){
	if(StrEqual(name, "fortwars")){
		fw=true;
	}
}

public OnLibraryRemoved(const String:name[]){
	if(StrEqual(name, "fortwars")){
		fw=false;
	}
}

public FW_OnBuildStart(){
	building=true;
}

public FW_OnBuildEnd(){
	building=false;
	for(new i=1;i<=MaxClients;++i){
		if(!IsClientInGame(i)) continue;
		SetEntityGravity(i, 1.0);
	}
}

public FW_OnEnterArena(client){
	SetEntityGravity(client, 1.0);
}
public OnGameFrame(){
	if(!fw) return;
	if(!FW_IsRunning()) return;
	if(!building) return;
	for(new i=1;i<=MaxClients;++i){
		if(!IsClientInGame(i)) continue;
		if(FW_IsInArena(i)) continue;
		SetEntityGravity(i, AMOUNT);
	}
}